Name:      xdg-compliance
Version:   1.3.1
Release:   %mkrel 5

License:   MIT
URL:       https://gitlab.com/somini/xdg-autostart

Source0:   https://gitlab.com/somini/xdg-autostart/-/archive/v%{version}/xdg-autostart-v%{version}.tar.gz
Source1:   xdg-autostart.xinit
Source2:   update-menus.xinit
BuildRequires: meson
BuildRequires: vala
BuildRequires: pkgconfig(glib-2.0)

#-----------------------------------------------------------------------------#

# package xdg-compliance

Summary: Packages to help old desktop environments follow XDG standards
Group:   Graphical desktop/Other

Requires: %{name}-autostart
Requires: %{name}-menu

%description
This meta-package requires %{name}-autostart and %{name}-menu.

%files

#-----------------------------------------------------------------------------#

%package autostart

Summary: XDG Autostart compliance for old desktop environments
Group:   Graphical desktop/Other

%description autostart
This package provides a xinit.d script that emulates XDG Autostart compliance
for old desktop environments.

%files autostart
%{_bindir}/xdg-autostart
%{_sysconfdir}/X11/xinit.d/xdg-autostart

#-----------------------------------------------------------------------------#

%package menu

Summary: User menus for old desktop environments based on XDG Menu
Group:   Graphical desktop/Other

%description menu
This package creates user-level menus for old desktop environments following
the XDG Menu standard.

%files menu
%{_sysconfdir}/X11/xinit.d/update-menus

#-----------------------------------------------------------------------------#

%prep

%autosetup -n xdg-autostart-v%{version} -p1

%build
%meson
%meson_build

%install
install -D -m 755 build/xdg-autostart %{buildroot}%{_bindir}/xdg-autostart

install -D -m 755 %{_sourcedir}/xdg-autostart.xinit \
                  %{buildroot}/%{_sysconfdir}/X11/xinit.d/xdg-autostart
install -D -m 755 %{_sourcedir}/update-menus.xinit \
                  %{buildroot}/%{_sysconfdir}/X11/xinit.d/update-menus


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.3.1-5.mga10
+ Revision: 2196135
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.3.1-4.mga9
+ Revision: 1796744
- Mageia 9 Mass Rebuild

* Mon Mar 08 2021 ghibo <ghibo> 1.3.1-3.mga9
+ Revision: 1700629
- Strengthen SESSION name detection so to deal with cases including a full filepath in session names.

* Mon Jan 04 2021 luigiwalser <luigiwalser> 1.3.1-2.mga8
+ Revision: 1668897
- fix desktop selection argument in xinit file (mga#28010)

* Thu Dec 31 2020 luigiwalser <luigiwalser> 1.3.1-1.mga8
+ Revision: 1666547
- 1.3.1 (new implementation)
- remove patches
- update URLs

* Fri Feb 14 2020 umeabot <umeabot> 0.1-24.mga8
+ Revision: 1522609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 30 2019 martinw <martinw> 0.1-23.mga7
+ Revision: 1361941
- add shebang to xinit scripts (mga#24198)
  o to stop brp-mangle-shebangs removing the execute permissions

* Sun Sep 23 2018 umeabot <umeabot> 0.1-22.mga7
+ Revision: 1301831
- Mageia 7 Mass Rebuild

* Tue Mar 07 2017 wally <wally> 0.1-21.mga6
+ Revision: 1089402
- revert previous changes and use $SESSION in xdg-autostart and update-menus scripts as $XDG_SESSION_DESKTOP doesn't work with startx or xdm
- add more case statements to xdg-autostart and update-menus scripts

* Mon Mar 06 2017 wally <wally> 0.1-20.mga6
+ Revision: 1089097
- update menus also with openbox

* Mon Mar 06 2017 wally <wally> 0.1-19.mga6
+ Revision: 1089079
- properly fix update-menus and autostart in icewm (use $XDG_SESSION_DESKTOP instead of $XDG_CURRENT_DESKTOP)

* Mon Mar 06 2017 wally <wally> 0.1-18.mga6
+ Revision: 1089070
- convert update-menus to use $XDG_CURRENT_DESKTOP instead of $SESSION
- fix autostart in icewm

* Tue Aug 23 2016 luigiwalser <luigiwalser> 0.1-17.mga6
+ Revision: 1048013
- fix capitalization of IceWM in xinit.d/xdg-autostart (mga#17617)

* Fri Jun 10 2016 luigiwalser <luigiwalser> 0.1-16.mga6
+ Revision: 1021037
- xdg-autostart should be sourced

* Fri Jun 10 2016 luigiwalser <luigiwalser> 0.1-15.mga6
+ Revision: 1021030
- Unity should not be all-caps for OnlyShowIn
- also do not reset DESKTOP in update-menus (use SESSION)

* Tue Jun 07 2016 luigiwalser <luigiwalser> 0.1-14.mga6
+ Revision: 1020578
- use SESSION variable which should be set, as DESKTOP may not be (mga#18189)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 09 2015 tarakbumba <tarakbumba> 0.1-12.mga6
+ Revision: 909179
-Bump release

* Sun Dec 06 2015 tarakbumba <tarakbumba> 0.1-11.mga6
+ Revision: 908601
- Accept Unity as a valid environment to prevent segfaults
- Look into  $sysconfdir first for autostart desktop files (mga#12015)
- Get $DESKTOP_SESSION as variable instead of null DESKTOP in xinit script. (mga#12015)

* Wed Jan 07 2015 luigiwalser <luigiwalser> 0.1-10.mga5
+ Revision: 809097
- DESKTOP is not always in environment, but is passed to xinit scripts as an arg

* Wed Oct 15 2014 umeabot <umeabot> 0.1-9.mga5
+ Revision: 740184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 690578
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 tarakbumba <tarakbumba> 0.1-7.mga4
+ Revision: 564317
- accept MATE and Openbox as a valid environment for OnlyShowIn desktop lines (mga#12015)

* Wed Dec 18 2013 luigiwalser <luigiwalser> 0.1-6.mga4
+ Revision: 558572
- xdg-autostart should not fail if ~/.config/autostart does not exist

* Tue Dec 17 2013 luigiwalser <luigiwalser> 0.1-5.mga4
+ Revision: 558312
- accept MATE as a valid environment for OnlyShowIn desktop lines (mga#12015)

* Fri Oct 18 2013 umeabot <umeabot> 0.1-4.mga4
+ Revision: 520445
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1-3.mga3
+ Revision: 386713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 malo <malo> 0.1-2.mga3
+ Revision: 327412
- fix build wih gcc 4.7

* Tue Feb 22 2011 dmorgan <dmorgan> 0.1-1.mga1
+ Revision: 57096
- imported package xdg-compliance


* Mon Feb 14 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.1-1mdv2011.0
+ Revision: 637733
- imported package xdg-compliance

